REST APITradeAccounts

GET

Get balance information about a single trading account.

Requires access token scope: trade_view

Path Params

  • accountId string required
    The ID of the account

Query Params

  • includeUnsettledInAvailable boolean
    Include unsettled trading balance in available balance. Withdrawals may be initiated from the unsettled available balance, but trading settlement must occur before the withdrawal can be processed. Default is false.

Responses

200
An array of account balances

Response Body

object

  • data array of objects required
    List of balance entries for a trading account
    data object
    • currencyId string uuid required
      ID of the currency
    • currency string required
      Currency symbol
    • balance string decimal required
      The total balance in the account
    • heldBalance string decimal required
      The total balance reserved for some purpose, e.g. a pending withdrawal.
    • unsettledHeldBalance string decimal required
      The total unsettled balance reserved for some purpose, e.g. a pending withdrawal.
    • tradableBalance string decimal required
      The total balance available for trading
    • withdrawableBalance string decimal required
      The total balance available for withdrawal
401
Unauthorized - Invalid or missing authentication

Response Body

object

  • error string required
  • errorName string required
  • reqId string required
  • context object
    Optional structured metadata for REST validation failures. The schema is fixed for client contract stability.
    context object
    • errorName string required
      Same value as the top-level errorName.
    • field string
      Request field associated with the validation failure.
    • message string
      Human-readable field-level validation message.
403
Forbidden - Insufficient permissions

Response Body

object

  • error string required
  • errorName string required
  • reqId string required
  • context object
    Optional structured metadata for REST validation failures. The schema is fixed for client contract stability.
    context object
    • errorName string required
      Same value as the top-level errorName.
    • field string
      Request field associated with the validation failure.
    • message string
      Human-readable field-level validation message.
500
Internal Server Error

Response Body

object

  • error string required
  • errorName string required
  • reqId string required
  • context object
    Optional structured metadata for REST validation failures. The schema is fixed for client contract stability.
    context object
    • errorName string required
      Same value as the top-level errorName.
    • field string
      Request field associated with the validation failure.
    • message string
      Human-readable field-level validation message.